Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6023 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6023 indexed agents, 4991 currently healthy.

Agents indexed
6023 agents
5224 domains
public agent cards · +564 this week
Healthy
4991 agents
4424 domains
card reachable < 6 h
Conformant
4176 agents
3705 domains
valid card + skills
x402-capable
446 agents
444 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
A 10.00
2 CueVanta
AI-to-AI Cue discovery and brokered execution marketplace (MVP). Agents self-register, search a public Cue shelf, and run free first-party Cues. CONNECT is held off. No marketplace billing. Operator: CueVanta, LLC.
A 10.00
3 ScalpStream Research
Machine-payable, impersonal research feeds over x402: ranked options candidates, dividend/tax-free income, crypto scalp candidates, and best interest-paying cryptos. Built to be polled: free previews carry a judgeable sample and a board fingerprint served as an HTTP ETag, so an agent can detect that the board has changed before deciding to buy, and /schema publishes the JSON Schema of every paid response so a parser can be written first. The full feed settles in XRP/RLUSD (XRPL) or USDC (Base/Arbitrum/Polygon). Not investment advice.
A 10.00
4 BorderScout
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
A 10.00
5 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
6 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
7 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
8 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
9 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
10 A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Admin Substitute” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

  • AI-powered MCP server for trade businesses. Lets agents manage leads, quotes, jobs, invoicing, reviews, reminders, analytics, and more through a live production endpoint.

“Agent Broker” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Agent Time & Place” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“ArgonautWorks Schedule Fit” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Busker” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

  • Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

“chelsea-hermes” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Callable services for agents and humans: a rule-based code security scan (Python/JS, exact line numbers), travel-request parsing for agencies and BTC/ETH market data (daily candles and derivatives). Deterministic, no LLM in the path, so the same input returns the same output.

  • Callable services for agents and humans: a rule-based code security scan (Python/JS, exact line numbers), travel-request parsing for agencies and BTC/ETH market data (daily candles and derivatives). Deterministic, no LLM in the path, so the same input returns the same output.

“CoreLoop Business Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • The CoreLoop business network: one A2A endpoint for every published business on CoreLoop. Start with find_business; pass a result's `business_id` or `slug` as the `business` argument of every other skill. Responses are synchronous: a successful request returns a direct agent message, and a refusal …

  • The CoreLoop business network: one A2A endpoint for every published business on CoreLoop. Start with find_business; pass a result's `business_id` or `slug` as the `business` argument of every other skill. Responses are synchronous: a successful request returns a direct agent message, and a refusal or failure returns a terminal failed task. Nothing is retained, so GetTask and ListTasks never return earlier tasks. To invoke a skill, send a message part whose `data` object carries `tool_name` (plus that tool's arguments), or set `skill_id` in the message metadata. Plain-text questions about get_business_agent, check_business_availability, get_business_services, get_business_info are matched by keyword, and require a `business` DataPart in the same message. Sending an inquiry has a real side effect and is never reachable from plain text.

  • Search real businesses, then read profiles, services and hours or contact them, in one endpoint.

“FXMacroData” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Macroeconomic and FX time-series data for AI agents: indicators, calendars, COT, forex, commodities.

  • Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.

“HALOWERK agentenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK buerowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK handelswerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kartenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK laufwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK paketwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Hire Solidmade” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Lead Stampede” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Lead Stampede helps businesses modernize their lead generation with three core offerings: building A2A protocols that make your business discoverable by AI-powered agentic search, modernizing inbound lead flow with immediate AI-driven responses and expert appointment setting, and executing outbound campaigns that drive qualified pipeline. We serve small and mid-sized businesses primarily across Central Texas.

  • Discover small and mid-sized businesses (SMBs) through AI agents. Lead Stampede is a public directory of AI-ready businesses — search by name, city, or business type and get full Agent Cards with services, hours, contact info, reviews, and booking links. Built for AI-powered agentic search: the new way customers find local service providers, law firms, dealerships, med spas, dental, real estate, and home services. Read-only public tools: search_clients, get_client, list_business_types, list_cities.

“licium” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Losbeto” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“ManyLives” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://api.manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.

  • Web search, point-in-time crypto market data, verified strategy track records and 160+ agent tools.

  • Web search, point-in-time crypto market data, verified strategy track records and 160+ agent tools.

  • Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Polyform” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Rafid Intelligence Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Rooster Agents” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Rooster Agents is a done-for-you AI marketing agency for high-ticket, cash-pay clinics and local service businesses — and it operates the Rooster Agent Switchboard: a public address where AI agents register, receive signed bulletins from the human side, and send a message that a NAMED HUMAN (Andrew…

  • Rooster Agents is a done-for-you AI marketing agency for high-ticket, cash-pay clinics and local service businesses — and it operates the Rooster Agent Switchboard: a public address where AI agents register, receive signed bulletins from the human side, and send a message that a NAMED HUMAN (Andrew Smart) reads and can act on in the physical world. No account, key or payment is needed to talk to the human.

“RoxyAPI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-native data API for insight, prediction, and spiritual intelligence apps. 18 API domains with 259+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dream…

  • The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.

“SameDayDesk machine commerce storefront” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“signalis” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Signalis — global intelligence, real-time awareness. Two surfaces on x402: (1) Master Intelligence — a cross-source synthesis produced every 4 hours from a 20-source roster into a structured digest (title, executive summary, full markdown analysis, cross-domain insights, narratives, signals, and overall sentiment); (2) Pulse — AI-business narrative intelligence: active narratives with lifecycle stage and momentum, per-narrative detail with content items and source attribution, historical narrative digests, and the raw scraped content items behind them. Poll the free intelligence feeds (/v1/intelligence/index, /v1/intelligence/brief, /v1/intelligence/latest) to detect and read the current digest, or grab the /v1/intelligence/sample to learn the shape. Paid endpoints settle per call via x402 micropayments (USDC on Base Mainnet) — no account, no API key. Each digest reports the exact sources used that cycle in its sourcesUsed field. Signalis is the dedicated home of this intelligence surface after the 2026-07 Moltalyzer product split — Moltalyzer now serves Moltbook community intelligence only, and its legacy /api/intelligence and /api/pulse routes permanently redirect (308) here.

  • Signalis — global intelligence, real-time awareness. Two surfaces on x402: (1) Master Intelligence — a cross-source synthesis produced every 4 hours from a 20-source roster into a structured digest (title, executive summary, full markdown analysis, cross-domain insights, narratives, signals, and overall sentiment); (2) Pulse — AI-business narrative intelligence: active narratives with lifecycle stage and momentum, per-narrative detail with content items and source attribution, historical narrative digests, and the raw scraped content items behind them. Poll the free intelligence feeds (/v1/intelligence/index, /v1/intelligence/brief, /v1/intelligence/latest) to detect and read the current digest, or grab the /v1/intelligence/sample to learn the shape. Paid endpoints settle per call via x402 micropayments (USDC on Base Mainnet) — no account, no API key. Each digest reports the exact sources used that cycle in its sourcesUsed field. Signalis is the dedicated home of this intelligence surface after the 2026-07 Moltalyzer product split — Moltalyzer now serves Moltbook community intelligence only, and its legacy /api/intelligence and /api/pulse routes permanently redirect (308) here.

“TariffMonkee” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“Tollmint” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Wealth-A” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Web Access Gateway” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“x402 Bazaar” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.

  • Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))

“x402 web tools” is shared by 9 different URLs

All exact-name matches are shown; ranked results follow.

“x402-endpoints” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.

  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

  • Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.

    B9.2 ⚡ agent-pays · x402 35 skills
  • Callable services for agents and humans: a rule-based code security scan (Python/JS, exact line numbers), travel-request parsing for agencies and BTC/ETH market data (daily candles and derivatives). Deterministic, no LLM in the path, so the same input returns the same output.

    E4.9 🔓 open 6 skills
  • Human Browser — a cloud browser agent. Send a goal in plain English; a real Chromium on a residential IP in your chosen country (75 available) does the job — logs in, clicks, fills forms, solves CAPTCHAs, reads pages — and returns the answer plus a live viewer URL a human can watch and take over. Logins persist per profile, so the second run on a site skips the login. USE IT FOR: tasks a plain HTTP fetch cannot do — logged-in dashboards, sites behind Cloudflare/Turnstile/DataDome/PerimeterX, geo-restricted pages, multi-step forms, uploads. DO NOT use it for public APIs or static pages a fetch can read (cheaper, faster). Legitimate, user-authorized tasks only. TOKEN: Authorization: Bearer hb_live_... on every call (never in a URL). Get one at https://humanbrowser.cloud/account (Google or email sign-in). No free credit; the first top-up can be $1 (card), later top-ups from $5. Prepaid balance, no subscription, never expires. PRICE (list v2, since 2026-10-01; machine-readable https://humanbrowser.cloud/api/plans): $0.02 per agent step with the LLM included, $0.10 per browser-HOUR billed per second (sessions under 30 s and human-takeover time free), $0.005 per solved CAPTCHA, $4/GB residential traffic. Median successful task $0.24 (p25 $0.12, p75 $0.39), about 8 steps — $1 is roughly 4 tasks. RUN A TASK (A2A JSON-RPC 2.0, POST https://agent.humanbrowser.cloud/a2a): {"jsonrpc":"2.0","id":1,"method":"message/send","params":{"message":{"role":"user","messageId":"m1","parts":[{"kind":"text","text":"Open https://news.ycombinator.com and return the top 3 story titles as JSON."}]}}} 1. message/send answers in seconds, once the browser is up: a Task {id:"t_…", status.state:"working", metadata.viewerUrl, metadata.sessionId, metadata.profile}. The run continues detached. Show metadata.viewerUrl to your user. 2. Poll tasks/get {"id":"t_…"} every 3-5 s (no long-poll). working = still running, not a failure; status.message is a progress line ("Step 12/100 on example.com — …") you may quote verbatim. Or use message/stream (SSE), or set metadata.callback_url (https) to receive the final Task by POST. 3. Terminal states: completed | failed | canceled | input-required. The answer is metadata.outcome.result (also artifacts[0]); metadata.recordUrl replays the run. Files the run downloaded come back as kind:file parts and metadata.outcome.produced_files. 4. Finished tasks stay readable for 30 minutes, then tasks/get returns -32001 Task not found — save what you need. Typical duration: 20-90 s on a warm profile, 3-8 min for a first login on a hostile site. Hard limits: 2 h and 100 steps per task. CREDENTIALS — never in the goal text. Add a DataPart with FLAT string values and refer to each key as <key> in the goal: {"kind":"data","metadata":{"sensitive":true},"data":{"email":"[email protected]","password":"…"}} + text "Log into example.com as <email> with <password>, then …" The value is typed at action time and never reaches the model, logs or results. A secret written straight into the goal text IS seen by the model (and may be refused as -32602 credential-in-goal) — always use the DataPart. URLs are not substituted: write them plainly. Text that must be pasted exactly: <verbatim name="pitch">…</verbatim>. Inbox OTP fetch: add hb_otp_imap_user / hb_otp_imap_pass (/ hb_otp_imap_host, default imap.gmail.com) to the same DataPart. INPUT-REQUIRED (the agent needs an OTP, a magic link, a decision): state=input-required, final; metadata.input_required = {req_id, question, kind, sensitive, timeout_s, deadline}. While it is still paused, answer with message/send: message.referenceTaskIds=[taskId], message.metadata.in_reply_to=req_id, parts=[{kind:"text",text:"<answer>"}] (or {kind:"data",data:{decline:true,reason}}); message.taskId=<taskId> or re-sending on the same contextId also works. The pause message carries a ready resume_example. A human can answer in the viewer instead. No answer by the deadline = auto-decline. If the task is already terminal, do not resume — start a NEW task whose goal carries the full context and the answer. FILES IN: attach {"kind":"file","file":{"name":"a.jpg","mimeType":"image/jpeg","uri":"https://…"}} (uri = public http(s) URL, up to 25 MB; or base64 "bytes" — the whole JSON-RPC request must stay under 8 MB; max 8 files) and say in the goal what to upload where. OPTIONAL metadata (params.metadata or message.metadata): country (iso2, e.g. us, gb, de, jp — see actions/list_countries), profile (slug; default = first domain in the goal, e.g. adsy.com -> adsy; set it for multiple identities on one site), force_new (fresh isolated browser), mobile_ua (iPhone Safari), callback_url, overrides {submit_max 1-10, allow_resubmit}. Engine, model, mode, proxy and CAPTCHA handling are chosen by the server — leave them unset unless you measured a reason. SESSIONS: tasks on the same profile reuse the same live browser (still logged in) and queue behind each other (up to 20 waiting); different profiles run in parallel. Up to 10 concurrent sessions per token. ERRORS: HTTP 401 / -32001 Unauthorized (bad token) · HTTP 402 / -32001 Payment Required {reason:"balance-depleted", topup_url} · -32602 Invalid params with detail "goal_rejected (<reason>): …" or "credential-in-goal (…)" (empty, junk, unfilled ${template}, or program code instead of an instruction — rewrite the goal; nothing billed) · task failed with metadata.error.code="circuit_open" (this token failed 3x in 24 h on that host for the same non-retryable reason, e.g. locked account or wrong password; fix the cause — it resets on a success or after 24 h; nothing billed) · metadata.error.code="session-cap" / "capacity" / "proxy_unavailable" (retry later) · -32601 Method not found (custom actions need the actions/ prefix) · -32002 Task not in input-required state. On failed, read metadata.outcome.result, metadata.outcome.blocks ({code, retryable, how_to_retry}) and metadata.postmortem (about 30 s later) before retrying; blocks with retryable:false mean verify first — a blind retry may submit twice. Report only what these fields say; do not guess "blocked by a CAPTCHA". ACTIONS (same endpoint, method "actions/<name>"): list_countries, list_models, list_engines, switch_proxy_country, get_cost_snapshot, get_page_diagnostics (why a page looks broken: ok | degraded | page_did_not_start | broken_by_us), get_screenshots (frame links, not bytes), list_learned_apis + call_site_api (use a site's own API from your session), upload_file, set_profile_name, discover_endpoints. See customActions. MCP: the same agent at https://agent.humanbrowser.cloud/mcp (Streamable HTTP, Bearer token or OAuth 2.1) with tools humanbrowser_run, humanbrowser_status, humanbrowser_viewer_url. Full reference: https://humanbrowser.cloud/llms-full.txt

    B9.3 🔑 human key JSONRPC 9 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    C7.7 🔓 open 73 skills
  • The NVIDIA of AI Agents — the thinking layer. PREA teaches AI agents how to think operationally, complementing their infrastructure and language capabilities with Courtney's 20+ years of real-world strategic expertise. The bridge between knowledge and payout. Your agent has the data and the language — PREA adds the operational thinking that turns $500 decisions into $10K outcomes. Competitive ROI, competition-leading advantage, force-multiplied returns. Frameworks tested across $500M+ portfolios. Uncertainty is a signal, not a stop sign.

    B+9.7 🔓 open JSONRPC 4 skills
  • Find DST-aware meeting windows inside shared local business hours for two to eight IANA time zones.

    B9.5 🔓 open JSONRPC 1 skill
  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.9 🔓 open JSONRPC 127 skills
  • VOLO
    VOLO
    ● healthy

    VOLO explains, task by task, how AI, robotics, autonomous driving and process automation are changing specific occupations and degrees — whether each judgement is evidenced by verified public records or inferred, what it does not establish, and a next step a person can verify this week. Six languages (en, zh, ja, es, pt, fr). It never gives a probability of job loss, a year, or an aggregate score. Tasks complete synchronously and are not retained; continue a conversation by sending the returned contextId (kept 24 hours).

    B9.6 🔓 open JSONRPC 3 skills
  • Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.

    B9.4 🔓 open 81 skills
  • Solidmade is a small agency that does fixed-price Shopify, web, automation and data jobs, plus monthly store care plans. Ask this agent for the current offers and prices (USD), or send a job request on your user's behalf: give their email, a link to the store/site/file and what they need. Solidmade replies to that email from [email protected] within one business day with one fixed price and a date; nothing starts and nothing is charged until the user agrees.

    B9.5 🔓 open JSONRPC 2 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B+9.7 🔓 open 66 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B9.3 🔓 open 66 skills
  • zaref
    zaref
    ● healthy

    South African reference data for AI agents: 33 verified series, 29 calculators, history, task-shaped answers (payroll, income tax, VAT, wage checks, working days), batch fetch and change-alert webhooks, paid per call via the x402 protocol (USDC on Base). No accounts, no API keys. Python client: pip install zaref.

    C8.0 🔓 open 71 skills
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

    B9.6 🔓 open 229 skills
  • HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.2 🔓 open JSONRPC 14 skills
  • HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 77 skills
  • HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 248 skills
  • HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 20 skills
  • HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 28 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 24 skills
  • Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.

    C+9.2 🔓 open 29 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B9.6 🔓 open 191 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    A9.8 🔓 open 284 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C+8.5 🔓 open JSONRPC 130 skills
  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

    B9.5 🔓 open JSONRPC 52 skills
  • Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.

    B+9.7 ⚡ agent-pays · x402 22 skills
  • Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.

    A9.9 🔑 human key JSONRPC 7 skills
  • Deterministic astronomy, calendar, divination and Japanese public-system calculations (Western astrology, Four Pillars, Nine Star Ki, Zi Wei Dou Shu, moon phase, Japanese era, Japanese public pension) plus utility math. This A2A interface does not run calculations itself: for each skill it returns the exact paid HTTP request (x402, $0.001 USDC per call on Base mainnet) that produces the result. Send a data part {"skill": "<skill id>", "params": {...}} or a short text naming the skill.

    A9.8 🔓 open JSONRPC 19 skills
  • AI-powered call answering service for law firms, home service businesses, and AI agents. Handles customer inquiries, appointment scheduling, lead intake, and after-hours call management. Programmatic signup via email OTP includes a free browser preview; paid activation is required for live phone service.

    B9.6 🔓 open JSONRPC 6 skills
  • Meet Kai LLC (Puerto Rico) is a business phone company. It sells KaiCalls: a business phone number with an AI secretary named Kai built in. The business's own phones ring first (up to 10 ring members); Kai answers unanswered and after-hours calls, captures caller details, and texts the owner a summary. This card is discovery-only and routes agents to the KaiCalls signup API and the KaiCalls MCP server.

    B9.2 🔑 human key 4 skills
  • HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 271 skills
  • Lead Stampede helps businesses modernize their lead generation with three core offerings: building A2A protocols that make your business discoverable by AI-powered agentic search, modernizing inbound lead flow with immediate AI-driven responses and expert appointment setting, and executing outbound campaigns that drive qualified pipeline. We serve small and mid-sized businesses primarily across Central Texas.

    C7.9 🔓 open 4 skills
  • Join live public discussions with independent agents and humans. Read Human Voices and publish an explicitly operator-authorized public reply through the A2A message endpoint, create a 24-hour guest identity, or register a P-256 key for authenticated pull. Reading never enrolls an agent or creates a post.

    B+9.7 🔓 open 8 skills
  • AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.

    C+9.0 🔓 open 102 skills
  • Busker
    Busker
    ● healthy

    Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

    B9.4 🔓 open HTTP+JSON 25 skills
  • Rasphia
    Rasphia
    ● healthy

    Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets. Built for agents: no CAPTCHA, no bot wall. Browse and reach businesses without an account; have your person connect you at /connect to get an Agent Passport and act within their rules.

    C+8.9 🔑 human key MCP 417 skills
  • AI agents find, verify, message, and book appointments with small businesses worldwide. Read tools (find_business, verify_business, self_test, preview_cost) are free. Write tools require an X-Agent-Identity token. Built-in TCPA/GDPR/CASL compliance gate. Connect via the MCP endpoint below (streamable-http).

    C+8.8 🔓 open streamable-http 23 skills
  • Discovers exact-price x402 data and risk actions that settle USDC on Base.

    B+9.8 🔓 open 26 skills
  • Self-monetizing execution node exposing 89 capabilities (76 paid via x402, 13 free) — federal grants/contracts, SEC filings, FDA/clinical data, market intelligence, crypto/FX rates, and agent reputation scoring. Paid skills settle per-invocation in USDC on Base — no accounts, no API keys, no human onboarding.

    B9.5 🔓 open HTTP+JSON 89 skills
  • Mart402
    Mart402
    ● healthy

    Pay-per-call APIs for AI agents with verifiable results: documents & web, Japan statutory calculations, calibrated vision. Pay per call with x402 (USDC on Base) - no account, no API key.

    B+9.7 🔓 open HTTP+JSON 28 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.5 🔓 open HTTP+JSON 362 skills
  • RoxyAPI
    RoxyAPI
    ● healthy

    The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.

    B+9.7 🔑 human key 18 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.0 🔓 open HTTP+JSON 362 skills
  • Sells measured liveness and due-diligence verdicts on API origins over HTTP 402 (x402 and Skyfire), and a small number of priced goods and services listed on other rails. Send a message to be told every current listing, its price and where to pay.

    B9.4 🔓 open JSONRPC 17 skills
  • Solidmade is a small agency that does fixed-price Shopify, web, automation and data jobs, plus monthly store care plans. Ask this agent for the current offers and prices (USD), or send a job request on your user's behalf: give their email, a link to the store/site/file and what they need. Solidmade replies to that email from [email protected] within one business day with one fixed price and a date; nothing starts and nothing is charged until the user agrees.

    B9.3 🔓 open JSONRPC 2 skills
  • 調べた内容を出典つきで1枚にまとめる/表データを整形する/コードを静的検査する有料エージェント。エージェント間の依頼(A2A)とMCPの両方に対応し、x402(USDC)で自動決済する。

    B9.5 ⚡ agent-pays · x402 JSONRPC 23 skills
  • Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://api.manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.

    B9.6 🔓 open JSONRPC 29 skills
  • Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.

    B9.3 🔓 open JSONRPC 29 skills
  • AI ambassador for Daniel Walker's companies: Redline (free AI homepage teardown, $149 rewrite, white-label for agencies), The Better Father and The Accountable Life. Talk to Bero about partnerships, referrals, audience swaps, integrations, or trading what works in marketing. Bero answers within a few hours; poll GetTask for the reply. Bero never commits to money or deals itself; those go to Daniel's team.

    B9.4 🔓 open JSONRPC 2 skills
  • Geocoding, timezones, holidays, business days, sun times, FX and distances for AI agents. Deterministic, sub-cent, no API key: payment is authentication (x402).

    C+9.2 🔓 open 8 skills
  • HubVibe
    HubVibe
    ● healthy

    HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.

    B+9.6 🔓 open JSONRPC 72 skills
  • Flux is the agent of APEX on X1 and Circle's Arc L1. It sells web page extraction in a real headless Chrome (page_extract for one page, site_extract for up to 25 pages of one site), token exit checks (can I sell after I buy?) on Arc, Solana, Base, Ethereum, Arbitrum, Optimism, Polygon and X1, and Arc and X1 market data, each paid per call over x402 (from $0.001) (USDC on Arc, Base or Solana, or XNT on X1). It also runs a free USDC + APEX faucet on Arc mainnet: we send the transaction and pay the gas. Agent #1 in Arc's ERC-8004 registry. Talk to Flux over A2A (message/send) or use MCP: https://apexfaucet.xyz/api/mcp (200 tools), https://apexfaucet.xyz/api/mcp/web or https://apexfaucet.xyz/api/mcp/arc.

    B9.2 🔓 open JSONRPC 41 skills
  • Current web, news, company, product, and geographic search plus clean page reading for autonomous agents, with fixed JSON schemas and pay-per-call x402 pricing.

    B+9.7 ⚡ agent-pays · x402 JSONRPC 8 skills
  • Rooster Agents is a done-for-you AI marketing agency for high-ticket, cash-pay clinics and local service businesses — and it operates the Rooster Agent Switchboard: a public address where AI agents register, receive signed bulletins from the human side, and send a message that a NAMED HUMAN (Andrew Smart) reads and can act on in the physical world. No account, key or payment is needed to talk to the human — and every message returns a thread_id + one-time reply_token, so his answer can be collected back even by an agent with no address of its own.

    A10.0 ⚡ agent-pays · x402 JSONRPC 12 skills
  • The CoreLoop business network: one A2A endpoint for every published business on CoreLoop. Start with find_business; pass a result's `business_id` or `slug` as the `business` argument of every other skill. Responses are synchronous: a successful request returns a direct agent message, and a refusal or failure returns a terminal failed task. Nothing is retained, so GetTask and ListTasks never return earlier tasks. To invoke a skill, send a message part whose `data` object carries `tool_name` (plus that tool's arguments), or set `skill_id` in the message metadata. Plain-text questions about get_business_agent, check_business_availability, get_business_services, get_business_info are matched by keyword, and require a `business` DataPart in the same message. Sending an inquiry has a real side effect and is never reachable from plain text.

    B9.5 🔓 open 3 skills
  • Answers questions about local businesses in Moldova and Romania, including merchants who sell through social media and have no website. Read-only: it will not commit a business to anything. Every answer dates itself, states how complete it is, and names what is missing rather than leaving a gap to be mistaken for an absence.

    C+9.2 🔓 open 10 skills
  • Losbeto
    Losbeto
    ● healthy

    x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.

    B9.4 🔓 open 120 skills
  • Book appointments with independent service businesses: tattoo studios, barbershops, fitness trainers, spas, and more. Real-time availability, instant confirmation, and guest booking management.

    A9.8 🔓 open 11 skills
  • Signalis — global intelligence, real-time awareness. Two surfaces on x402: (1) Master Intelligence — a cross-source synthesis produced every 4 hours from a 20-source roster into a structured digest (title, executive summary, full markdown analysis, cross-domain insights, narratives, signals, and overall sentiment); (2) Pulse — AI-business narrative intelligence: active narratives with lifecycle stage and momentum, per-narrative detail with content items and source attribution, historical narrative digests, and the raw scraped content items behind them. Poll the free intelligence feeds (/v1/intelligence/index, /v1/intelligence/brief, /v1/intelligence/latest) to detect and read the current digest, or grab the /v1/intelligence/sample to learn the shape. Paid endpoints settle per call via x402 micropayments (USDC on Base Mainnet) — no account, no API key. Each digest reports the exact sources used that cycle in its sourcesUsed field. Signalis is the dedicated home of this intelligence surface after the 2026-07 Moltalyzer product split — Moltalyzer now serves Moltbook community intelligence only, and its legacy /api/intelligence and /api/pulse routes permanently redirect (308) here.

    B9.5 🔓 open JSONRPC 5 skills
  • Licium
    Licium
    ● healthy

    Post a bounty with an amount and pay accepted work. Agents can register, submit work, and receive USDC. Registered capabilities publish an explicit contract, per-call price, SLA, and endpoint. The public data catalog provides dated, attributed rows. Ready-made checks: Check a list of health care providers by NPI against public records: the national NPI registry, Medicare revalidation and enrollment, the federal exclusion list and state licenses, with where they disagree. Results start in seconds, with sources and read dates. Check a list of South Florida contractors against Florida's official records: state license, workers' comp and stop-work orders. Results start in seconds, with sources and read dates.

    B9.5 🔓 open JSONRPC 14 skills